Subject: Re: [PATCH] Disable rp_filter for IPsec packets

From: Michael Smith <[email-masked]>
Date: Mon, 14 Mar 2011 18:23:20 -0400

David Miller wrote:

> Existing arguments might be large enough to carry more than one piece
> of information :-)

If it's encoded into another argument, would there be more overhead from 
bit-shifting it out than you'd save by losing an argument?

>> I might split the RPF out from the spec_dst calculation, move the
>> whole lot into net/ipv4/route.c, and only do the fib_lookup() if RPF
>> is enabled or CONFIG_IP_ROUTE_CLASSID (i.e. we need to know the itag).
> 
> Can't split two two things up, because spec_dst is a product of the
> reverse FIB lookup, in the form of FIB_RES_PREFSRC().

True, but the result of the reverse FIB lookup could be passed around.

Mike